Skip to main content
`Ctrl`+`K`

# EPSPowerSetShiftType

Sets the type of shifts used during the power iteration. This can be used to emulate the Rayleigh Quotient Iteration (RQI) method.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerSetShiftType(EPS eps,EPSPowerShiftType shift)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- shift - the type of shift, see `EPSPowerShiftType` for possible values

## Options Database Key

- -eps_power_shift_type <shift> - sets the shift type, either `constant`, `rayleigh` or `wilkinson`

## Notes

By default, shifts are constant (`EPS_POWER_SHIFT_CONSTANT`) and the iteration is the simple power method (or inverse iteration if a shift-and-invert transformation is being used).

A variable shift can be specified (`EPS_POWER_SHIFT_RAYLEIGH` or `EPS_POWER_SHIFT_WILKINSON`). In this case, the iteration behaves rather like a cubic converging method such as RQI.

Details of the three variants can be found in [Hernandez et al., 2005].

## References

[Her05]

V. Hernandez, J. E. Roman, A. Tomas, and V. Vidal. Single vector iteration methods in SLEPc. Technical Report STR-2, Universitat Politècnica de València, 2005. URL: https://slepc.upv.es/documentation.

## See Also

EPS: Eigenvalue Problem Solver, `EPSPOWER`, `EPSPowerGetShiftType()`, `STSetShift()`, `EPSPowerShiftType`

## Level

advanced

## Location

src/eps/impls/power/power.c

## Implementations

EPSPowerSetShiftType_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages